User account creation filtered due to spam.

Bug 48221 - documentation for -Wno-cpp seems wrong
Summary: documentation for -Wno-cpp seems wrong
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: other (show other bugs)
Version: 4.6.0
: P3 normal
Target Milestone: 4.6.1
Assignee: Jonathan Wakely
URL:
Keywords: documentation, patch
Depends on:
Blocks:
 
Reported: 2011-03-21 16:07 UTC by Denis Excoffier
Modified: 2011-03-27 21:08 UTC (History)
0 users

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2011-03-21 16:56:07


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Excoffier 2011-03-21 16:07:00 UTC
Within GCC 4.6.0 RC 20110314.

Please revise the documentation for -Wno-cpp in invoke.texi:

- the gcc.info contains an empty string instead of `-Wno-cpp' (perhaps generated by the backslash at the end of the corresponding line in invoke.texi)
- 3.1 Summary lists `-Wcpp' while 3.8 lists `-Wno-cpp', this is not consistent

Thank you.
Comment 1 Jonathan Wakely 2011-03-21 16:56:07 UTC
Confirmed. Fixed by 

--- doc/invoke.texi.orig        2011-03-21 16:51:03.807891871 +0000
+++ doc/invoke.texi     2011-03-21 16:51:17.134973994 +0000
@@ -237,7 +237,7 @@
 -Wno-attributes -Wno-builtin-macro-redefined @gol
 -Wc++-compat -Wc++0x-compat -Wcast-align  -Wcast-qual  @gol
 -Wchar-subscripts -Wclobbered  -Wcomment @gol
--Wconversion  -Wcoverage-mismatch  -Wcpp  -Wno-deprecated  @gol
+-Wconversion  -Wcoverage-mismatch  -Wno-cpp  -Wno-deprecated  @gol
 -Wno-deprecated-declarations -Wdisabled-optimization  @gol
 -Wno-div-by-zero -Wdouble-promotion -Wempty-body  -Wenum-compare @gol
 -Wno-endif-labels -Werror  -Werror=* @gol
@@ -3036,7 +3036,7 @@
 comment, or whenever a Backslash-Newline appears in a @samp{//} comment.
 This warning is enabled by @option{-Wall}.

-@item -Wno-cpp \
+@item -Wno-cpp
 @r{(C, Objective-C, C++, Objective-C++ and Fortran only)}

 Suppress warning messages emitted by @code{#warning} directives.
Comment 2 Jonathan Wakely 2011-03-22 22:30:38 UTC
patch posted to http://gcc.gnu.org/ml/gcc-patches/2011-03/msg01453.html
Comment 3 Jonathan Wakely 2011-03-23 19:52:19 UTC
Author: redi
Date: Wed Mar 23 19:52:13 2011
New Revision: 171359

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=171359
Log:
2011-03-23  Jonathan Wakely  <jwakely.gcc@gmail.com>

	PR other/48179
	PR other/48221
	PR other/48234
	* doc/extend.texi (Alignment): Move section to match order in TOC.
	* doc/invoke.texi (i386 and x86-64 Windows Options): Likewise.
	(Warning Options): Adjust -Wno-cpp summary and remove stray backslash.


Modified:
    trunk/gcc/ChangeLog
    trunk/gcc/doc/extend.texi
    trunk/gcc/doc/invoke.texi
Comment 4 Jonathan Wakely 2011-03-23 20:26:40 UTC
fixed on trunk so far
Comment 5 Jonathan Wakely 2011-03-27 20:08:40 UTC
Author: redi
Date: Sun Mar 27 20:08:35 2011
New Revision: 171581

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=171581
Log:
2011-03-27  Jonathan Wakely  <jwakely.gcc@gmail.com>

	PR other/48179
	PR other/48221
	PR other/48234
	* doc/extend.texi (Alignment): Move section to match order in TOC.
	* doc/invoke.texi (i386 and x86-64 Windows Options): Likewise.
	(Warning Options): Adjust -Wno-cpp summary and remove stray backslash.


Modified:
    branches/gcc-4_6-branch/gcc/ChangeLog
    branches/gcc-4_6-branch/gcc/doc/extend.texi
    branches/gcc-4_6-branch/gcc/doc/invoke.texi
Comment 6 Jonathan Wakely 2011-03-27 21:08:25 UTC
fixed